Subject: ***SPAM*** 78.116 (5) Get a new huge colossal rod by clicking here.

From: "Anastassia beal" <[email-masked]>
Date: Fri, 1 Feb 2008 19:17:10 +0100

The end to all your frustration lies here - we have the solution to your woes.